{
        num: -356006,
        accuracy: true,
        basePower: 0,
        category: "Status",
        name: "Inner Courage",
        pp: 10,
        priority: 0,
        flags: { snatch: 1, metronome: 1 },
        onTry(source, target, move) {
            this.add('-activate', source, 'move: Inner Courage');
        },
        onHit(target, source, move) {
            this.boost({spe: 1}, source, source, move);
        },
        volatileStatus: "laserfocus",
        condition: {
            duration: 2,
            onStart(pokemon, source, effect) {
                if (effect && ["costar", "imposter", "psychup", "transform"].includes(effect.id)) {
                    this.add("-start", pokemon, "move: Inner Courage", "[silent]");
                } else {
                    this.add("-start", pokemon, "move: Inner Courage");
                }
            },
            onRestart(pokemon) {
                this.effectState.duration = 2;
                this.add("-start", pokemon, "move: Inner Courage");
            },
            onModifyCritRatio(critRatio) {
                return 5;
            },
            onEnd(pokemon) {
                this.add("-end", pokemon, "move: Inner Courage", "[silent]");
            }
        },
        secondary: null,
        target: "self",
        type: "Fire",
        zMove: { boost: { atk: 1, def: 1 } },
        contestType: "Cool",
    }